# keystone.receipt.provider module

Receipt provider interface.

class keystone.receipt.provider.Manager

  Bases: `Manager`

  Default pivot point for the receipt provider backend.

  See `keystone.common.manager.Manager` for more details on how this dynamically calls the backend.

  driver_namespace: str = 'keystone.receipt.provider'
  issue_receipt(user_id, method_names, expires_at=None)
  validate_receipt(receipt_id, window_seconds=0)

keystone.receipt.provider.default_expire_time()

  Determine when a fresh receipt should expire.

  Expiration time varies based on configuration (see `[receipt] expiration`).

  Returns:

    a naive UTC datetime.datetime object

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug